<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              http://albumreviewer.co
 * @since             2.0.0
 * @package           Album_Reviewer
 *
 * @wordpress-plugin
 * Plugin Name:       Album Reviewer
 * Plugin URI:        http://albumreviewer.co
 * Description:       Album Reviewer allows designers, wedding and portrait photographers to proof albums for their clients.
 * Version:           2.0.2
 * Author:            Album Reviewer
 * Author URI:        http://albumreviewer.co
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       album-reviewer
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-album-reviewer-activator.php
 */
function activate_album_reviewer() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-album-reviewer-activator.php';
	Album_Reviewer_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-album-reviewer-deactivator.php
 */
function deactivate_album_reviewer() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-album-reviewer-deactivator.php';
	Album_Reviewer_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_album_reviewer' );
register_deactivation_hook( __FILE__, 'deactivate_album_reviewer' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-album-reviewer.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_album_reviewer() {

	$plugin = new Album_Reviewer();
	$plugin->run();

}
run_album_reviewer();
